-- -------------------------------------------------------------------------- --
--               TRASHERNET - A Trashy Ethernet Stack for FPGAs               --
-- -------------------------------------------------------------------------- --
-- trashernet_types.vhd : VHDL types used throughout Trashernet
-- -------------------------------------------------------------------------- --
-- Author       : Markus Koch <markus@notsyncing.net>
-- Contributors : None
-- License      : Mozilla Public License (MPL) Version 2
-- -------------------------------------------------------------------------- --

library ieee;
use ieee.std_logic_1164.all;

package trashernet_pkg is
	subtype byte is std_logic_vector(7 downto 0);
	type byte_vector is array (natural range <>) of byte;
	subtype mac_addr_t is byte_vector(0 to 5);
	subtype ip_addr_t is byte_vector(0 to 3);
	subtype ethertype_t is byte_vector(0 to 1);
end package trashernet_pkg;

package body trashernet_pkg is

end package body trashernet_pkg;
